Page MenuHomePhabricator

Fix gdb_pretty_printer_test on python3
AbandonedPublic

Authored by zatrazz on Sep 18 2019, 1:36 PM.

Details

Summary

First issue is the 'next' iteration method which has changed its
name to '_next_'. The another is the division method, where it
requires to use the floor division so iteration converge.

Diff Detail

Event Timeline

zatrazz created this revision.Sep 18 2019, 1:36 PM
Herald added a project: Restricted Project. · View Herald TranscriptSep 18 2019, 1:36 PM
saugustine accepted this revision.Sep 18 2019, 1:59 PM

Thanks so much for fixing this. Really appreciate it.

This revision is now accepted and ready to land.Sep 18 2019, 1:59 PM

Thanks so much for fixing this. Really appreciate it.

In fact this is fully correct for python2, I will need to update this patch.

zatrazz updated this revision to Diff 221839.Sep 25 2019, 2:48 PM

I checked it with a gdb built against python 2.7.2 and python 3.7.4. I still seeing some issue on the arm bot, but I think it is unrelated to the python3 support now.

zatrazz abandoned this revision.Oct 7 2019, 5:43 AM